Home Help Center

Don't "Ice-3.1.1-VC71.msi " include the "slice2java.exe"?

When I use ice3.0.1, I installed the Ice-3.0.1-VC71.msi . I can use slice2java.exe to compile the file ".ice" correctly. But there is no that command in Ice-3.1.1-VC71.msi .
And it seems that the file ".ice" must be compiled with new version.
Can you help me?

Comments

  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    In Ice 3.1.1, the slice2java translator is only included with the Windows installer for Visual Studio 2005, so you should download "Ice-3.1.1-VC80.msi" from our download page to get it.

    Cheers,
    Benoit.
  • matthewmatthew NL, CanadaMember Matthew NewhookOrganization: ZeroC, Inc.Project: Internet Communications Engine ✭✭✭
    Alternatively you can compile it yourself from the source.
  • Jason GaoJason Gao Member
    to benoit:
    I am failed to install the "Ice-3.1.1-VC80.msi" . Is it related to my operate system "windows 2003 server"?

    to matthew :
    I want to know how to finish compiling from the source! Can you show me the process?


    thanks!
  • matthewmatthew NL, CanadaMember Matthew NewhookOrganization: ZeroC, Inc.Project: Internet Communications Engine ✭✭✭
    What exactly happens when you try to install the VC80 distribution? What are you trying to install from the distribution.

    The compilation instructions are contained in the platform specific INSTALL file contained within the source distribution. If you have specific questions please ask.
Sign In or Register to comment.